Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update agent type

PATCH/workspaces/{organizationId}/agent-types/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
slugstring
min length 1
namestring
min length 1
providerAgentIdstring
min length 1
kindstring
Allowed:agenthumanexternal
endpointUrlstring<uri> | null
endpointSecretstring | null
promptstring | null
modelstring | null
toolsstring | null
jobSpecstring | null
toolScopestring | null
permissionsTierstring | null
enabledboolean
Responses
200

Agent type updated

idstringrequired
organizationIdstringrequired
slugstringrequired
namestringrequired
providerAgentIdstringrequired
jobSpecstring | nullrequired
promptstring | nullrequired
modelstring | nullrequired
toolsstring | nullrequired
kindstringrequired
endpointUrlstring | nullrequired
hasEndpointSecretbooleanrequired
toolScopestring | nullrequired
permissionsTierstring | nullrequired
enablednumberrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
400

Unknown providerAgentId

404

Agent type not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/agent-types/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "kind": "agent",
  "endpointUrl": "http://example.com",
  "endpointSecret": "string",
  "prompt": "string",
  "model": "string",
  "tools": "string",
  "jobSpec": "string",
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "prompt": "string",
  "model": "string",
  "tools": "string",
  "kind": "string",
  "endpointUrl": "string",
  "hasEndpointSecret": true,
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?